Manual do PHP
Anterior |  | Próxima

# mysqli_stmt_reset

(PHP 5)

mysqli_stmt_reset

(no version information, might be only in CVS)

stmt->reset -- Resets a prepared statement

## Description

Procedural style:

bool mysqli_stmt_reset ( object stmt)

Object oriented style (method):

class stmt {
bool reset ( void )
}

The mysqli_stmt_reset() resets a prepared statement on client and server to state after prepare. For now this is mainly used to reset data sent with mysqli_stmt_send_long_data().

> Nota: To reprepare a statement with an other query use function mysqli_stmt_prepare().

## Return values

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas.

## See also

mysqli_prepare()

Anterior | Principal | Próxima
mysqli_stmt_prepare | Acima | mysqli_stmt_result_metadata